Creates a new purchase order order line

Request Information

URI Parameters :

None.

Body Parameters :

purchase_order_details
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
purchase_order_id

Foreign key of the purchase_order

globally unique identifier

Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided

purchase_order_reference_back_office

Embedded entity "purchase_order" using ERP PK when adding/updating

string

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

purchase_order

Embedded entity "purchase_order" when adding/updating

purchase_order

Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

line_number

Line Number, auto filled with (Highest+1) if value is 0/null

integer
code

Code of the article (auto filled if empty)

string

Max length: 255

supplier_code

Code of the supplier for this article

string

Max length: 255

name

Article Name (will be auto filled if article.name+description are empty)

string

Max length: 255

description

Article description (will be auto filled by article.short_description if name+description are empty)

string

Max length: 255

price

Unit Price

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

Range: inclusive between 0.1 and 1.79769313486232E+308

quantity

Quantity

decimal number

Required

Range: inclusive between 0.1 and 1.79769313486232E+308

memo

Line memo/remark

string
cost_price

Unit Cost Price (statistic purpose)

decimal number

Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "0d05cc95-b2f6-42cd-98c7-29a7d174a9ef",
  "purchase_order_id": "e9bec25a-5259-452f-b2db-433f0030d47c",
  "purchase_order_reference_back_office": "sample string 3",
  "purchase_order": {
    "id": "184dd16e-af6a-4192-861f-36d6211705ad",
    "id2": 2,
    "jobs_id": "29113ca7-0f46-46cd-8981-8c277a4495aa",
    "jobs_reference_back_office": "sample string 4",
    "supplier_company_id": "123dd2a6-6d51-470a-a7f0-199985789357",
    "supplier_company_code": "sample string 6",
    "user_id": "dcb51bff-eaec-40a3-80d9-d0c3c476dfdd",
    "user_code": "sample string 8",
    "description": "sample string 9",
    "memo": "sample string 10",
    "total_lines": 11,
    "date_create": "2026-11-05T11:05:27.1148623+00:00",
    "date_update": "2026-11-05T11:05:27.1148623+00:00",
    "date_delivery": "2026-11-05T11:05:27.1148623+00:00",
    "confirmed_date_delivery": "2026-11-05T11:05:27.1148623+00:00",
    "delivery_db_address_id": "f7de2587-14e7-4284-9c7c-fb9e7d54b962",
    "approved_by_user_id": "f7256757-68ef-4dec-a224-6cc3c071fd58",
    "approved_by_user_code": "sample string 18",
    "technical_user_id": "e1f376de-8670-4603-9eeb-f9231b922f3c",
    "technical_user_code": "sample string 20",
    "purchase_order_status_id": "cd6af439-1159-41db-84bd-66da7ac56af8",
    "purchase_order_status_code": "sample string 22",
    "article_stock_location_id": "0fa3e8be-3c16-49de-8bdd-9717fcd01ba5",
    "is_pickup": true,
    "reference_back_office": "sample string 25",
    "modified_dateutc": "2026-11-05T11:05:27.1148623+00:00"
  },
  "article_id": "13ba4c1e-18ff-4d73-b6b0-0841994239ec",
  "article_code": "sample string 5",
  "article": {
    "id": "9cd4b5e6-0d99-44ac-9f34-1988712a6ba5",
    "article_category_id": "b66d57cf-4d6b-49bd-b538-957237e01ab8",
    "article_category": {
      "id": "7c35a3e2-dcee-4927-b686-595e5c3ed5c3",
      "parent_id": "f9e331d1-ecb6-4330-ae1c-28a12d46a98c",
      "parent_code": "sample string 3",
      "code": "sample string 4",
      "name": "sample string 5",
      "modified_dateutc": "2026-11-05T11:05:27.1148623+00:00"
    },
    "article_category_code": "sample string 3",
    "article_group_1_id": "855ee149-db92-413b-92a7-1f823fc4e555",
    "article_group_1_code": "sample string 5",
    "article_group_2_id": "b674d112-55db-40d6-9346-0cc7c78c3a29",
    "article_group_2_code": "sample string 7",
    "article_group_3_id": "dc7afb66-5fc8-400d-987d-6865050afcdd",
    "article_group_3_code": "sample string 9",
    "article_group_4_id": "f1de6e57-c67a-464b-9a90-dd4be677edf1",
    "article_group_4_code": "sample string 11",
    "article_group_5_id": "0e96bd8d-bcec-4b02-9afe-eb2b2c91f8d9",
    "article_group_5_code": "sample string 13",
    "article_group_6_id": "8ad00ac9-6789-4326-8ed4-be28b6459d12",
    "article_group_6_code": "sample string 15",
    "physical_stock": 16,
    "back_order_client": 17,
    "back_order_supplier": 18,
    "expected_delivery_date_bo_supplier": "2026-11-05T11:05:27.1148623+00:00",
    "article_increment": 20,
    "min_article_quantity": 21,
    "entered_price": 22.0,
    "cost_price": 23.1,
    "no_stock": true,
    "archived": true,
    "is_travel_fee": true,
    "is_mileage_fee": true,
    "code": "sample string 28",
    "name": "sample string 29",
    "description_short": "sample string 30",
    "description_long": "sample string 31",
    "barcode": "sample string 32",
    "notes": "sample string 33",
    "date_create": "2026-11-05T11:05:27.1148623+00:00",
    "date_update": "2026-11-05T11:05:27.1148623+00:00",
    "modified_dateutc": "2026-11-05T11:05:27.1148623+00:00",
    "article_color_id": "841e43af-80d5-41ee-a00a-0ef73d2141a2",
    "article_color_code": "sample string 38",
    "article_color": {
      "id": "5ed63a78-ddeb-488d-82bd-c06d1364f7b0",
      "name": "sample string 2",
      "code": "sample string 3",
      "modified_dateutc": "2026-11-05T11:05:27.1148623+00:00"
    },
    "warranty_period_nb_months": 39,
    "use_serial": true,
    "_replace_id": "4f266273-6ab4-4594-b6bc-0e62c5753a5d",
    "replace_article_code": "sample string 42",
    "db_unit_of_measure_id_selling": "678d337b-f748-4223-9656-d8ad290543ea",
    "db_unit_of_measure_code_selling": "sample string 44",
    "translations": [
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      },
      {
        "field_name": "sample string 1",
        "language_code": "sample string 2",
        "value_translated": "sample string 3"
      }
    ]
  },
  "line_number": 6,
  "code": "sample string 7",
  "supplier_code": "sample string 8",
  "name": "sample string 9",
  "description": "sample string 10",
  "price": 11.0,
  "quantity": 12.0,
  "memo": "sample string 13",
  "cost_price": 14.0,
  "reference_back_office": "sample string 15",
  "modified_dateutc": "2026-11-05T11:05:27.1148623+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.